# Enum Class NamedInputStream.ZipFormat

java.lang.Object
java.lang.Enum<NamedInputStream.ZipFormat>
com.snmp4j.smi.NamedInputStream.ZipFormat

All Implemented Interfaces:
  `Serializable, Comparable<NamedInputStream.ZipFormat>, Constable`

Enclosing class:
  `NamedInputStream`

public static enum NamedInputStream.ZipFormat extends Enum<NamedInputStream.ZipFormat>
A supported ZIP file format

Author:
  Frank Fock

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `none`
  Plain text file without compression
  `ZIP`
  ZIP format compressed archive of plain text files

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NamedInputStream.ZipFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NamedInputStream.ZipFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### none

    public static final NamedInputStream.ZipFormat none
    Plain text file without compression

  - ### ZIP

    public static final NamedInputStream.ZipFormat ZIP
    ZIP format compressed archive of plain text files

- ## Method Details

  - ### values

    public static NamedInputStream.ZipFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NamedInputStream.ZipFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null